.active-tab {
  background-color: #ffffff;
  color: #1f2937;
  font-weight: 600;
}
@tailwind base;
@tailwind components;
@tailwind utilities;

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}
.left {
  display: flex;
  justify-content: left;
  align-items: center;

  .star-rating {
    border: solid 1px #ccc;
    display: flex;
    flex-direction: row-reverse;
    font-size: 1.5em;
    justify-content: space-around;
    padding: 0 0.2em;
    text-align: center;
    width: 5em;
  }

  .star-rating input {
    display: none;
  }

  .star-rating label {
    color: #ccc;
    cursor: pointer;
  }

  .star-rating :checked ~ label {
    color: #f90;
  }

  .star-rating label:hover,
  .star-rating label:hover ~ label {
    color: #fc0;
  }
}
.right {
  display: flex;
  justify-content: right;
  margin-right: 10px;
  align-items: center;
}
.chat {
  display: flex;
}
.chat .right_time {
  color: #a0a0a0;
  font-weight: bold;
  margin-top: 4px;
  margin-left: 6px;
}
.chat .left_time {
  color: #a0a0a0;
  font-weight: bold;
  margin-top: 4px;
  margin-right: 6px;
}
.profile {
  width: 40px;
  height: 40px;
  display: inline-block;
  border-radius: 50%;
  margin: 8px;
  text-align: center;
}
.profile a {
  padding: 10px 0px;
  display: inline-block;
}
.chat_list {
  background-color: #fff;
  padding: 10px;
  border-radius: 10px;
}
.chat_img {
  width: 80px;
}
.infoline .chat_list {
  max-width: 500px;
}
.seller {
  background-color: #477ee3;
  color: #fff;
}
.buyer {
  background-color: grey;
  color: #fff;
}
.sspoint {
  text-align: right;
  border-radius: 6px;
  border: 1px solid #ccc;
  padding: 4px;
  margin-right: 4px;
}
.color-red {
  color: #f34141 !important;
}

.button {
  margin-top: 20px;
  padding: 10px 20px;
  background-color: teal;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.layer-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}
.popup-content {
  background: white;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  max-width: 400px;
  width: 90%;
}
.popup-content h3 {
  margin-bottom: 20px;
}

.popup-content .close-button {
  margin-top: 20px;
  padding: 10px 20px;
  background-color: crimson;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.popup-content .row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
}

.popup-content label {
  flex: 1;
  text-align: left;
}

.popup-content input[type="text"] {
  flex: 0 0 150px;
  text-align: right;
  margin-left: 10px;
  padding: 6px;
  border: 1px solid #ccc;
}

.popup-content .unit {
  margin-left: 5px;
}
.info-text {
  margin-top: 10px;
  font-size: 14px;
  color: #666;
  line-height: 1;
  text-align: center;
}

.popup-content input[type="text"] {
  flex: 0 0 150px;
  text-align: right;
  margin-left: 10px;
}

.popup-content .row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
}

.star-rating {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-around;
  text-align: center;
}

.star-rating input {
  display: none;
}

.star-rating label {
  color: #ccc;
  cursor: pointer;
  font-size: 3rem;
}

.star-rating :checked ~ label {
  color: #f90;
}

.star-rating label:hover,
.star-rating label:hover ~ label {
  color: #fc0;
}

#page-progress-bar {
  position: fixed;
  top: 0;
  left: 0;
  height: 3px;
  width: 0%;
  background-color: #ff6600; /* 원하는 색상 */
  z-index: 9999;
  transition: width 0.3s ease;
}

.ellipsis {
  white-space: nowrap; /* 줄바꿈 없이 한 줄로 */
  overflow: hidden; /* 넘친 내용 감춤 */
  text-overflow: ellipsis; /* 넘친 부분 ... 으로 표시 */
  width: 135px; /* 필수: 너비 지정 */
}

.game_list > li > a,
.server_list > li > a {
  font-size: 14px;
}

.payment-widget-cache-1ib4csb {
  padding: 0px !important;
  margin-top: 12px !important;
}

.swal2-html-container {
  line-height: 27px !important;
}

@media screen and (max-width: 993px) {
  .latest_search > a {
    font-size: 11px !important;
  }
}

@keyframes bounce-loop {
  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-6px);
  }
}

.tippy-box[data-animation="bounce"][data-state="visible"] {
  animation: bounce-loop 1s ease-in-out infinite;
}

.tippy-content {
  background-color: #3f3f3f;
}

/* 화살표도 같이 */
.tippy-box[data-theme~="custom"][data-placement^="top"] > .tippy-arrow::before {
  border-top-color: #3f3f3f;
}

.tippy-box[data-theme~="custom"][data-placement^="bottom"]
  > .tippy-arrow::before {
  border-bottom-color: #3f3f3f;
}

.tippy-box[data-theme~="custom"][data-placement^="left"]
  > .tippy-arrow::before {
  border-left-color: #3f3f3f;
}

.tippy-box[data-theme~="custom"][data-placement^="right"]
  > .tippy-arrow::before {
  border-right-color: #3f3f3f;
}

.tippy-box[data-animation~="fade"][data-state="hidden"] {
  opacity: 0;
  transition: opacity 0.6s ease-out;
}

.tippy-box[data-theme~="custom"][data-animation="bounce"][data-state="hidden"] {
  opacity: 0;
  transition: opacity 0.6s ease-out;
}

#tippy-1 {
  z-index: 1 !important; /* ✅ 툴팁을 뒤로 */
}

.not-active-tab {
  background-color: rgb(249, 250, 251); /* bg-gray-50 */
  color: rgb(31, 41, 55); /* text-gray-800 */
}
